#
# spec file for package python-pytest-pycodestyle
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define skip_python2 1
Name:           python-pytest-pycodestyle
Version:        2.3.1
Release:        2.3
Summary:        Pytest plugin to run pycodestyle
License:        MIT
URL:            https://github.com/henry0312/pytest-pycodestyle
Source:         https://files.pythonhosted.org/packages/source/p/pytest-pycodestyle/pytest-pycodestyle-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.6}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module pytest >= 5.4}
BuildRequires:  %{python_module pytest-isort}
BuildRequires:  %{python_module py}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-py
Requires:       python-pycodestyle
Requires:       python-pytest
Requires:       python-setuptools
Provides:       python-pytest-codestyle = %{version}
Obsoletes:      python-pytest-codestyle < %{version}
BuildArch:      noarch
%python_subpackages

%description
pytest plugin to run pycodestyle in python tests

%prep
%setup -q -n pytest-pycodestyle-%{version}
sed -i -e 's:~=:>=:g' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%pycache_only %{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/pytest_pycodestyle.py
%{python_sitelib}/pytest_pycodestyle-%{version}*-info

%changelog
* Thu Sep 26 2024 Guang Yee <gyee@suse.com>
- Enable python-pytest-pycodestyle.
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
- Add python-py dependency
- More specific python_sitelib in %%files
- Update to 2.3.1:
  * Replace --strict command-line option with --strict-markers (#95)
  * Test with Python 3.11 (#101)
  * Update MANIFEST.in to add tests and Makefile to sdist (#100)
* Tue Aug 16 2022 Axel Braun <axel.braun@gmx.de>
- update to version 2.3.0
  * Drop support of Python 3.6
  * Require pytest v7.0 or later
  * Replace fspath argument for Node constructors with pathlib.Path
* Tue Aug 25 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 2.2.0
  * Support pytest v6
* Mon Jun 29 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 2.1.3
  * code refactoring
* Tue Jun 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Provide and obsolete pytest-codestyle as we are the replacement
* Sun Mar 29 2020 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, redone package formerly known as pytest-codestyle
